Facebook
LinkedIn
YouTube
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)
V3 API Documentation
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)
V3 API Documentation
  1. Call
  • User
    • List Reports
      GET
  • Scorecard
    • List Scorecards
      GET
    • List Scored Calls Report
      GET
    • Add or Update Call Title
      POST
    • Create Scorecard
      POST
    • Duplicate Scorecard
      POST
    • Archive Scorecard
      GET
  • Call
    • Get Call Record by ID
      GET
    • List Calls
      GET
    • List Call Details
      GET
    • List Archived Call Details
      GET
    • List Call Details
      GET
    • List Calls With Transcription
      GET
    • List Calls With Transcription Details
      GET
    • List Calls With Tags
      GET
    • Add Tags To Call
      POST
    • List Calls With Custom Sources
      GET
    • List Calls With Indicator Scores
      GET
    • List Calls With DNI
      GET
    • List Call Metrics by Group
      GET
    • List Call Metrics Details by Group
      GET
    • Upload Call Audio
      POST
    • Get Call Record by ID
      GET
    • Add Comment To Call
      POST
    • Move Call To Group
      POST
  • Blacklist
    • List Blacklisted Numbers
      GET
    • Add Number To Blacklist
      POST
    • Delete Blacklisted Numbers
      DELETE
  • Call Action
    • Create Call Actions
    • Update Call Action
  • Email
    • Send Call Data Email
  • SMS
    • Send SMS
    • List SMS Conversations
  • Webhook
    • List Webhooks
    • Create Webhook
    • Update Webhook
  • Campaign
    • Get Campaign by ID
    • Create Campaign
    • Delete Campaign
    • List Campaigns
    • List Campaigns With Users
    • Add Users To Campaign
    • List Campaigns With Call Flows
  • Call Flow
    • Get Call Flow by ID
    • Create Call Flows
    • Delete Call Flow
    • List Call Flows by Campaign
    • List Call Flows
    • List Deleted Call Flows
    • List Call Flows With Routes
    • List Call Flows With Location
    • List Call Flows With Numbers
    • List Call Flows With Recording
    • List Call Flows With Actions
    • List Call Flows With DNI
    • Create Call Flow DNI Settings
    • List DNI Classes With Call Flow
    • List Call Flow Custom Sources
    • Create Call Flow Custom Source
    • Delete Call Flow Custom Source
    • Create Call Flows With Multilevel IVR
    • Create Call Flow Outbound
    • List Call Flows With Count
    • Remove Number From Route Pool
  • Group
    • List Groups
    • Create Group
    • List Groups With Users
    • List Groups With Users
    • Create User in Group
    • Update Group User
    • Get DNI Snippet
    • List Active Call Flows
    • List Group Call Logs
  • Number
    • Search Phone Numbers
    • Search Reserved Numbers
    • Reserve Phone Number
  • Miscellaneous
    • List Geo Locations
    • List Locations
    • Add Locations
    • Add Locations
    • List Audio Files
    • Upload Whisper Audio
    • Upload Prompt Audio
    • List Channels
    • List Rate Centers
    • List Scheduled Reports
    • Get Subscription
  • Custom Source
    • Get Custom Sources by Group
    • Create Custom Source
    • Delete Custom Sources
  • Tag
    • List Tags
    • Delete Tags
  • User Permissions
    • Get User Permissions
    • Update User Permissions
    • List Allowed Groups
  • Insights
    • Create Insight
  • SMS Broadcast
    • List Broadcasts
    • Create SMS Broadcast
    • Update Broadcast
    • Delete Broadcast
    • Get Broadcast Messages
    • List Contact Lists
    • Create Contact List
    • Get Contact List
    • Update Contact List
    • Delete Contact List
    • List Contacts in Contact List
    • Add Contacts To Contact List
    • Update Contact in Contact List
    • Remove Contact From List
    • List Contacts
    • Create Contacts
    • Update Contact
    • Delete Contact
  1. Call

Upload Call Audio

POST
https://apicfa.convirza.com/v2/call/upload
Call
Last modified:2026-04-03 12:54:09
Uploads a call audio recording file and creates a corresponding call detail record in the system. Accepts either a direct file upload or a URL to an audio file. Supports mp3 and wav formats. Used for importing external call recordings into Convirza for analysis and transcription.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params multipart/form-data

Responses

🟢200
Confirmation of successful file upload and call record creation
Headers

This response does not have a body.
🟠400
🟠401
🟠403
🟠404
🔴500
⚪default
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://apicfa.convirza.com/v2/call/upload' \
--header 'Authorization: Bearer <token>' \
--form 'recording_file=@""' \
--form 'recording_url=""' \
--form 'call_date=""' \
--form 'group_id=""' \
--form 'group_ext_id=""' \
--form 'external_id=""' \
--form 'channel_id=""' \
--form 'campaign_id=""' \
--form 'caller_id=""' \
--form 'tracking_number=""' \
--form 'disposition=""' \
--form 'line_type=""' \
--form 'ring_to=""' \
--form 'assign_to=""' \
--form 'custom_source_type_1=""' \
--form 'custom_source_type_2=""' \
--form 'custom_source_type_3=""' \
--form 'custom_source_type_4=""' \
--form 'custom_source_type_5=""' \
--form 'company_name=""' \
--form 'city=""' \
--form 'zip_code=""' \
--form 'caller_name=""' \
--form 'address=""' \
--form 'state=""' \
--form 'swap_channels=""' \
--form 'is_outbound=""' \
--form 'tag_name=""' \
--form 'transcribe=""'
Response Response Example
400 - Example 1
{
    "statusCode": 400,
    "message": "Validation failed",
    "error": "Bad Request",
    "requestId": "550e8400-e29b-41d4-a716-446655440000"
}
Modified at 2026-04-03 12:54:09
Previous
List Call Metrics Details by Group
Next
Get Call Record by ID
Built with